taffybar-4.0.2: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Taffybar.Information.Memory

# Documentation

data MemoryInfo Source #

Constructors

MemoryInfo |

Fields

- memoryTotal :: Double
- memoryFree :: Double
- memoryBuffer :: Double
- memoryCache :: Double
- memorySwapTotal :: Double
- memorySwapFree :: Double
- memorySwapUsed :: Double
- memorySwapUsedRatio :: Double
- memoryAvailable :: Double
- memoryRest :: Double
- memoryUsed :: Double
- memoryUsedRatio :: Double

parseMeminfo :: IO MemoryInfo Source #